{% extends 'base.html.twig' %}

{% block title %}Solution{% endblock %}

{% block stylesheets %}
            {{parent()}}
            {{ encore_entry_link_tags('solutionShow') }}
{% endblock %}

{% block body %}

    <h1 class="title-solution">Solution</h1>

    <div class="solution-container">
        <h2 class="solution-name">{{ solution.name }}</h2>
        <p class="solution-description">Problème : {{ solution.problem.description }}</p>
        <p class="solution-description">De : {{ solution.user.firstName }} {{ solution.user.lastName }}</p>
        <p class="solution-date">Date : {{ solution.createDate ? solution.createDate|date('Y-m-d H:i:s') : '' }}</p>

        <div class="buttons-vote">
            {% if vote == null %}
                <a class='btn btn-success' href="{{path('vote_for',{'id':solution.id})}}">Pour</a>
                <a class='btn btn-danger' href="{{path('vote_against',{'id':solution.id})}}">Contre</a>
            {% else %}

        <div class="button-none">
            <p class='btn btn-secondary'>Pour {{voteFor}}</p>
            <p class='btn btn-secondary'>Contre {{voteAgainst}}</p>
            <p>Vous avez déja voter!</p>
        </div>
            {% endif %}
        </div>
    </div>

{% endblock %}

{% block javascripts %}
            {{ encore_entry_script_tags('solutionShow') }}
{% endblock %}